package cn.cecep.talroad.vo.query;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.cecep.talroad.domain.OdsMeshingWeiStationHourI;
import cn.cecep.talroad.common.core.domain.query.PageQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;


/**
 * ods层网格化微站站点小时增量对象 ods_meshing_wei_station_hour_i
 *
 * @author szhpt
 * @date 2023-06-10*/
@ApiModel(value = "ods层网格化微站站点小时增量")
@EqualsAndHashCode(callSuper = false)
@Data
public class OdsMeshingWeiStationHourIQuery extends PageQuery
{

    @ApiModelProperty(value = "id")
    private String id;
    @ApiModelProperty(value = "站点id")
    private String stationId;
    @ApiModelProperty(value = "站点编码")
    private String stationCode;
    @ApiModelProperty(value = "数据采集时间")
    private String receiveTime;
    @ApiModelProperty(value = "co浓度值 单位 mg/m3")
    private String co;
    @ApiModelProperty(value = "NO2浓度值 单位μg/m3")
    private String no2;
    @ApiModelProperty(value = "SO2 浓度值 单位μg/m3")
    private String so2;
    @ApiModelProperty(value = "O3浓度值 单位μg/m3")
    private String o3;
    @ApiModelProperty(value = "VOC浓度值 单位PPB")
    private String voc;
    @ApiModelProperty(value = "噪声")
    private String noise;
    @ApiModelProperty(value = "PM2.5浓度值 单位μg/m3")
    private String pm25;
    @ApiModelProperty(value = "PM10浓度值 单位μg/m3")
    private String pm10;
    @ApiModelProperty(value = "温度 单位 ℃")
    private String temperature;
    @ApiModelProperty(value = "utc")
    private String utc;
    @ApiModelProperty(value = "湿度 单位%RH")
    private String humidity;
    @ApiModelProperty(value = "风向 单位°")
    private String wdirect;
    @ApiModelProperty(value = "风速 单位 m/s")
    private String wspeed;
    @ApiModelProperty(value = "大气压 单位 hPa")
    private String apress;
    @ApiModelProperty(value = "设备状态")
    private String equstatename;
    @ApiModelProperty(value = "设备状态码")
    private String equstate;
    @ApiModelProperty(value = "NO 浓度值 单位μg/m3")
    private String no;
    @ApiModelProperty(value = "TSP 浓度值")
    private String tsp;
    @ApiModelProperty(value = "AQI值")
    private String aqi;
    @ApiModelProperty(value = "$column.columnComment")
    private String aqiLevel;
    @ApiModelProperty(value = "首要污染物")
    private String priPollute;
    @ApiModelProperty(value = "PointHour 表示微型站数据，VocHour 表示 VOC 站数据")
    private String type;
    @ApiModelProperty(value = "O38H浓度值 单位μg/m3")
    private String o38h;
    @ApiModelProperty(value = "数据创建时间")
    private String createTime;
    @ApiModelProperty(value = "数据更新时间")
    private String updateTime;
    @ApiModelProperty(value = "氮氧化物浓度值")
    private String nox;
    @ApiModelProperty(value = "TVOC值")
    private String tvoc;
    /**
     *
     * @Title: getQueryWrapper
     * @Description: 查询参数组装
     * @param: @return
     * @return: QueryWrapper<BasIndustry>
     * @throws
     */
    public static QueryWrapper<OdsMeshingWeiStationHourI> createLambdaQueryWrapper(OdsMeshingWeiStationHourIQuery query) {
        QueryWrapper<OdsMeshingWeiStationHourI> wrapper = new QueryWrapper<>();
        wrapper.eq(ObjectUtil.isNotNull(query.getId()), "id", query.getId());
        wrapper.eq(ObjectUtil.isNotNull(query.getStationId()), "station_id", query.getStationId());
        wrapper.eq(ObjectUtil.isNotNull(query.getStationCode()), "station_code", query.getStationCode());
        wrapper.eq(ObjectUtil.isNotNull(query.getReceiveTime()), "receive_time", query.getReceiveTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getCo()), "co", query.getCo());
        wrapper.eq(ObjectUtil.isNotNull(query.getNo2()), "no2", query.getNo2());
        wrapper.eq(ObjectUtil.isNotNull(query.getSo2()), "so2", query.getSo2());
        wrapper.eq(ObjectUtil.isNotNull(query.getO3()), "o3", query.getO3());
        wrapper.eq(ObjectUtil.isNotNull(query.getVoc()), "voc", query.getVoc());
        wrapper.eq(ObjectUtil.isNotNull(query.getNoise()), "noise", query.getNoise());
        wrapper.eq(ObjectUtil.isNotNull(query.getPm25()), "pm25", query.getPm25());
        wrapper.eq(ObjectUtil.isNotNull(query.getPm10()), "pm10", query.getPm10());
        wrapper.eq(ObjectUtil.isNotNull(query.getTemperature()), "temperature", query.getTemperature());
        wrapper.eq(ObjectUtil.isNotNull(query.getUtc()), "utc", query.getUtc());
        wrapper.eq(ObjectUtil.isNotNull(query.getHumidity()), "humidity", query.getHumidity());
        wrapper.eq(ObjectUtil.isNotNull(query.getWdirect()), "wdirect", query.getWdirect());
        wrapper.eq(ObjectUtil.isNotNull(query.getWspeed()), "wspeed", query.getWspeed());
        wrapper.eq(ObjectUtil.isNotNull(query.getApress()), "apress", query.getApress());
        wrapper.eq(ObjectUtil.isNotNull(query.getEqustatename()), "equstatename", query.getEqustatename());
        wrapper.eq(ObjectUtil.isNotNull(query.getEqustate()), "equstate", query.getEqustate());
        wrapper.eq(ObjectUtil.isNotNull(query.getNo()), "no", query.getNo());
        wrapper.eq(ObjectUtil.isNotNull(query.getTsp()), "tsp", query.getTsp());
        wrapper.eq(ObjectUtil.isNotNull(query.getAqi()), "aqi", query.getAqi());
        wrapper.eq(ObjectUtil.isNotNull(query.getAqiLevel()), "aqi_level", query.getAqiLevel());
        wrapper.eq(ObjectUtil.isNotNull(query.getPriPollute()), "pri_pollute", query.getPriPollute());
        wrapper.eq(ObjectUtil.isNotNull(query.getType()), "type", query.getType());
        wrapper.eq(ObjectUtil.isNotNull(query.getO38h()), "o38h", query.getO38h());
        wrapper.eq(ObjectUtil.isNotNull(query.getCreateTime()), "create_time", query.getCreateTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getUpdateTime()), "update_time", query.getUpdateTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getNox()), "nox", query.getNox());
        wrapper.eq(ObjectUtil.isNotNull(query.getTvoc()), "tvoc", query.getTvoc());
        return wrapper;
        }
}
